#pragma once
#include "importData.h"
#include <iomanip>

class CreateData {
public:
	
	CreateData(const string & fileID,const int & Horizon,const string & fileNameAddOn){ createData(fileID ,Horizon, fileNameAddOn); }
	
	void createData(const string & fileID,const int & timeHorizon,const string & fileNameAddOn);
	


private:
	void writeSet(ofstream& file,const map<string, int>& Set);
	void writeSet(ofstream& file, const vector<map<string, int>>& Set);
	void writeSet(ofstream& file, const vector<vector<map<string, int>>>& Set,const map<string,int> & stringIndex);
	void writeSet(ofstream& file, const vector<vector<vector<map<string, int>>>>& Set, const map<string, int> & stringIndex1, const map<string, int>& stringIndex2);
	void writeInteger(ofstream& file, const int& Integer);
	void writeParameter(ofstream& file, const vector<vector<double>>& Parameter);
	void writeParameter(ofstream& file, const vector<vector<vector<double>>>& Parameter, const map<string, int>& stringIndex1, const map<string, int> & stringIndex3);
	void writeParameter(ofstream& file, const vector<vector<double>>& Parameter, const map<string,int>& stringIndex1);
	void writeParameter(ofstream& file, const vector<double> & Parameter, const map<string, int>& stringIndex1);
	void writeParameterDemand(ofstream& file, const vector<vector<vector<double>>>& Parameter, const map<string, int>& stringIndex1, const map<string, int> & stringIndex2);
	void writeParameter(ofstream& file, const vector<int>& Parameter, const map<string, int>& stringIndex1);
	void writeParameter(ofstream& file, const vector<vector<int>>& Parameter, const map<string, int>& stringIndex1);
	void writeParameter(ofstream& file, const vector<vector<int>>& Parameter, const map<string, int>& stringIndex1, const map<string, int>& stringIndex2);
	void writeParameterLoop(ofstream& file, const vector<vector<vector<double>>>& Parameter, const map<string, int>& stringIndex1, const map<string, int> & stringIndex2);
	void writeParameter(ofstream& file, const vector<double>& Parameter);
};