#pragma once

#include "createTree.h"

#include <windows.h>
#include <stdio.h>

class generateTrees {
public:
	generateTrees() { cout << "use the method \"generate(const ImportData, const string, const int, const, int, const int)\" to generate trees" << endl; };
	generateTrees(const ImportData& idata, const string& filePath, const int& numberOfStages, const int& numberOfScenarios, const int& numberOfTrees, const string& instanceName, const vector<int> branchPeriods): instanceName(instanceName), branchPeriods(branchPeriods) { generate(idata, filePath, numberOfStages, numberOfScenarios, numberOfTrees); }

	void generate(const ImportData& idata, const string& filePath, const int& numberOfStages, const int& numberOfScenarios, const int& numberOfTrees);

private:
	const string instanceName;
	const vector<int> branchPeriods;
};