#pragma once

#include "importData.h"

#include<cstring>
#include<Windows.h>
#include<WinBase.h>
#include<process.h>

#include<string>
#include<limits>


class createTree {
public:

	createTree(const ImportData& idata, const string & filePath, const int& numberOfStages, const int& numberOfScenarios, const vector<int> branchPeriods) : branchPeriods(branchPeriods) { create(idata, filePath, numberOfStages, numberOfScenarios);}


void create(const ImportData& idata, const string & filePath, const int& numberOfStages, const int& numberOfScenarios);
void scenarioGen(const string & filePath, const string& fileName, const int& numberOfScenarios);
int printMargins(const ImportData& idata, const string& distType, const double& range);
void printCorrelation(const ImportData& idata, const int& numberOfRandoms);

private:
	const vector<int> branchPeriods;

};

