#pragma once

#include "importData.h"
#include "nodeModel.h"

class tableGenerator {
public:
	tableGenerator();
	tableGenerator(const nodeModel& model, const ImportData& idata, const nodeData& nodeData, const string& pathDir) : pathDir(pathDir) { generate(model, idata, nodeData); }

	void generate(const nodeModel& model, const ImportData& idata, const nodeData& nodeData);
	void results(const nodeModel& model, const ImportData& idata, const nodeData& nodeData);

	double average(const vector<double>& parameter, const nodeData& nodeData, const int& time);

	void demandTable(const vector<string>& instances);		//The first element has to be the biggest

private:
	const string pathDir;
};