
name = 'randomVariable3stage'
dataFile = name.'.txt'

unset arrow

set termoption dash
set linetype 2 dt 1

set style fill solid 0.25 border -1

set grid ytics mytics
set mytics 2
set grid

set style line 1 lt 2 lc rgb "blue" lw 1


set xlabel 'Period [year]'
set ylabel 'Realisation'
set title ''
set xrange[0:5.2]
set yrange[-0.52:0.52]

set key left top

set term win

plot for [i = 2:10] dataFile using 1:i with linespoints ls 1  notitle

set term pngcairo size 800,600
set output 'C:\Users\jorge\Dropbox\gnuPlot\Figures\'.name.'.png'
replot
